
Figure - Bug #113287
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111051 (New): AF-V2.0-Launcher/SystemUI-通知中心

【AF】【EVT2】【通知中心】查看同一应用的多条通知时，屏幕卡死，无法上下滑动
2022-10-28 17:55 - CD Test赵飞

Status: CLOSED Start date: 2022-10-28

Priority: Urgent Due date: 2022-11-21

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202210280405

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0051.X101

Reproducibility: Every time Fixed Version: 2022-11-22

Test Type: IT Root cause: 通知没有被收入通知组中造成的问题

Description

测试版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202210280405

【前提条件】

1、设备已开机

2、已安装通知测试app

【测试步骤】

1、打开通知测试app，模拟发送多条通知（50+）

2、进入通知中心，展开隐藏通知

3、点击页面空白处退出通知中心

4、再次进入通知中心，展开隐藏通知

5、上下滑动屏幕

【预期结果】

5、可以通过上下滑动屏幕查看通知列表

【实际结果】

5、屏幕卡死，无法上下滑动

【复现率】

5/5

【Log】

日志、录屏及测试app见附件

History

#1 - 2022-10-28 17:55 - CD Test赵飞

- Target version changed from VC1_FSE_B sample_20221015 to VX1_MCE_FSE_V3.0_update_20221130

#2 - 2022-11-09 18:06 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- % Done changed from 0 to 10

#3 - 2022-11-16 16:20 - CDTS_TEST 王成
- Priority changed from Normal to Urgent

- Severity changed from Normal to Critical

#4 - 2022-11-16 18:29 - CDTS-TEST 周婷

- Due date changed from 2022-11-03 to 2022-11-21

#5 - 2022-11-21 14:55 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 10 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-22

- Root cause set to 通知没有被收入通知组中造成的问题

代码已入库

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/164141

Hi 赵飞

请不要使用你们的通知测试应用一瞬间发布20条以上的通知，原因如下

1.你们自制的通知测试应用，自身设计存在问题，大量的通知在0.1秒内被发送。这与通知的使用规则相违背，不符合原生的设计，也是不存在的用户使

用场景

2.我在原生的平板上测试过你们的通知测试应用，当瞬间发送超过20条以上的通知。会造成通知丢失，通知组显示异常，卡顿等问题。

3.当需要测试大数量通知时，可以模拟正常使用情况下的连续发送通知来实现，例如通过飞书短时间接受大量通知

请知悉

#6 - 2022-11-21 15:03 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

#7 - 2022-11-25 16:02 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0051.X101

验证结果：PASS

使用飞书接收大量通知消息，打开通知中心上下滑动查看，可以正常滑动

#8 - 2022-11-25 16:03 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0051.X101

Files

screen-20221028-023846.mp4 15.8 MB 2022-10-28 CD Test赵飞

logcat.txt 5.72 MB 2022-10-28 CD Test赵飞

app_Notify.apk 1.64 MB 2022-10-28 CD Test赵飞
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/164141

